# Workaround to always have %scl defined
%{!?scl:%global scl autotools-git}

%{?scl:%scl_package %scl}

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 2%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Applications/File

Requires: %{scl_prefix}autoconf %{scl_prefix}libtool
%{?scl:BuildRequires: scl-utils-build}
%{?scl:BuildRequires: iso-codes}

%description
This is the main package for %scl Software Collection.


%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils
Requires(post): libselinux policycoreutils-python
Requires(postun): libselinux policycoreutils-python
Requires(preun): libselinux policycoreutils-python

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%package build
Summary: Package shipping basic build configuration
Group: Applications/File

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
mkdir -p %{buildroot}/%{_scl_scripts}/root

cat > %{buildroot}/%{_scl_scripts}/enable <<EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LIBRARY_PATH=%{_libdir}\${LIBRARY_PATH:+:\${LIBRARY_PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
EOF

%scl_install

cat %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config
rm -rf %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files

%if 0%{?fedora} >= 21
%files runtime -f filelist
%else
%files runtime
%scl_files
%if 0%{?rhel} == 7
# Temporary fix for some bug in scl-utils-build-20130529-1.el7.x86_64
/opt/rh/autotools-git/root/lib64
%endif
%endif

%files build


%changelog
* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-2
- workaround bug fixed in scl-utils-build-20130529-5

* Wed Mar 19 2014 Pavel Raiskup <praiskup@redhat.com> - 1-1
- initial packaging
